LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XConstantTypeDescription Interface Referencepublished

Reflects a constant. More...

`import <XConstantTypeDescription.idl;`

Inheritance diagram for XConstantTypeDescription:

## Public Member Functions
any | getConstantValue ()
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity.
string | getName ()
| Returns the fully qualified name of the UNOIDL entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects a constant.

The type class of this type is com::sun::star::uno::TypeClass::CONSTANT.

Constants may be contained in constants groups and modules.

See also
  XModuleTypeDescription
  XConstantsTypeDescription

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getConstantValue()

any getConstantValue | ( |  | ) |

Returns
  the value of the constant.

Following types are allowed for constants:

- boolean
- byte
- short
- unsigned short
- long
- unsigned long
- hyper
- unsigned hyper
- float
- double

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XConstantTypeDescription.idl